Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AlgorithmIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.AlgorithmIdentifier

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  EncryptionScheme, KeyDerivationFunc, PBES2Algorithms

public class AlgorithmIdentifier
extends ASN1Encodable

Constructor Summary
`AlgorithmIdentifier(ASN1Sequence seq)`
`AlgorithmIdentifier(DERObjectIdentifier objectId)`
`AlgorithmIdentifier(DERObjectIdentifier objectId, DEREncodable parameters)`
`AlgorithmIdentifier(java.lang.String objectId)`

Method Summary
`static AlgorithmIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static AlgorithmIdentifier` | `getInstance(java.lang.Object obj)`
`DERObjectIdentifier` | `getObjectId()`
`DEREncodable` | `getParameters()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlgorithmIdentifier

    public AlgorithmIdentifier(DERObjectIdentifier objectId)

### AlgorithmIdentifier

    public AlgorithmIdentifier(java.lang.String objectId)

### AlgorithmIdentifier

    public AlgorithmIdentifier(DERObjectIdentifier objectId,
                               DEREncodable parameters)

### AlgorithmIdentifier

    public AlgorithmIdentifier(ASN1Sequence seq)

Method Detail

### getInstance

    public static AlgorithmIdentifier getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

### getInstance

    public static AlgorithmIdentifier getInstance(java.lang.Object obj)

### getObjectId

    public DERObjectIdentifier getObjectId()

### getParameters

    public DEREncodable getParameters()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

            AlgorithmIdentifier ::= SEQUENCE {
                                  algorithm OBJECT IDENTIFIER,
                                  parameters ANY DEFINED BY algorithm OPTIONAL }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD